package cn.kdan.pdf.backend.core.enums;

/**
 * 文件类行枚举
 */
public enum FileTypeEnum {

    PDF("pdf"),

    PNG("png"),

    JPG("jpg"),

    TXT("txt"),

    DOCX("docx"),

    PPTX("pptx"),

    XLSX("xlsx"),

    DOC("doc");


    private final String value;

    FileTypeEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }


}
